Loading...
Searching...
No Matches
BALL::HydrogenBond Class Reference

`#include <BALL/SCORING/COMPONENTS/hydrogenBond.h>`

Inheritance diagram for BALL::HydrogenBond:

## Classes

struct | Option
struct | Default

## Public Types

enum | Mode { LIGAND_HYDROGENS , RECEPTOR_HYDROGENS , ALL_HYDROGENS }

## Public Member Functions

Constructors and Destructors
| HydrogenBond (Mode mode) throw ()
| HydrogenBond (ScoringFunction &sf, Mode mode) throw ()
| HydrogenBond (ScoringComponent &sc, Mode mode) throw ()
| HydrogenBond (const HydrogenBond &fhb) throw ()
virtual | ~HydrogenBond () throw ()
Assignment
const HydrogenBond & | operator= (const HydrogenBond &fhb) throw ()
virtual void | clear () throw ()
Predicates.
bool | operator== (const HydrogenBond &fhb) const throw ()
Setup Methods
virtual bool | setup ()
void | setupLigand ()
void | enableChargeEvaluation (bool b)
Public Member Functions inherited from BALL::ScoringComponent
| ScoringComponent ()
| ScoringComponent (const ScoringComponent &sc)
| ScoringComponent (ScoringFunction &sf)
void | selectBaseFunction (String function)
virtual | ~ScoringComponent ()
ScoringFunction * | getScoringFunction () const
void | setScoringFunction (ScoringFunction &sf)
String | getName () const
void | setName (const String &name)
const String & | getTypeName ()
double | getRawScore () const
double | getScaledScore () const
virtual void | setLigandIntraMolecular (bool b)
bool | isLigandIntraMolecular ()
bool | isGridable ()
bool | isAtomPairwise ()
void | setCoefficient (const double &coeff)
const double & | getCoefficient ()
void | setNormalizationParameters (double stddev, double mean)
void | getNormalizationParameters (double &stddev, double &mean)
bool | isEnabled ()
void | enable ()
void | disable ()

## Accessors

virtual double | updateScore ()
void | update (const vector< std::pair< Atom *, Atom * > > &pair_vector)

## Additional Inherited Members

Protected Member Functions inherited from BALL::ScoringComponent
double | scaleScore (double score) const
Protected Attributes inherited from BALL::ScoringComponent
bool | ligand_intra_molecular_
bool | gridable_
bool | atom_pairwise_
ScoringFunction * | scoring_function_
ScoringBaseFunction * | base_function_
double | score_
double | coefficient_
double | stddev_
double | mean_
bool | enabled_
String | type_name_

## Detailed Description

Fresno Hydrogen Bond component.

Definition at line 17 of file hydrogenBond.h.

## Member Enumeration Documentation

## Mode

enum BALL::HydrogenBond::Mode

Enumerator
LIGAND_HYDROGENS |
RECEPTOR_HYDROGENS |
ALL_HYDROGENS |

Definition at line 84 of file hydrogenBond.h.

## Constructor & Destructor Documentation

## HydrogenBond() [1/4]

BALL::HydrogenBond::HydrogenBond | ( | Mode | mode | ) |
throw | ( | ) |  |  |

Default constructor.

## HydrogenBond() [2/4]

BALL::HydrogenBond::HydrogenBond | ( | ScoringFunction & | sf,
|  | Mode | mode )
throw | ( | ) |  |  |

Constructor.

## HydrogenBond() [3/4]

BALL::HydrogenBond::HydrogenBond | ( | ScoringComponent & | sc,
|  | Mode | mode )
throw | ( | ) |  |  |

Constructor.

## HydrogenBond() [4/4]

BALL::HydrogenBond::HydrogenBond | ( | const HydrogenBond & | fhb | ) |
throw | ( | ) |  |  |

Copy constructor

## ~HydrogenBond()

virtual BALL::HydrogenBond::~HydrogenBond | ( |  | ) |
throw | ( | ) |  |  |

virtual

Destructor.

## Member Function Documentation

## clear()

virtual void BALL::HydrogenBond::clear | ( |  | ) |
throw | ( | ) |  |  |

virtual

Clear method.

Reimplemented from BALL::ScoringComponent.

## enableChargeEvaluation()

void BALL::HydrogenBond::enableChargeEvaluation | ( | bool | b | ) |

If charge-evaluation is enabled, hydrogen bonds with large charge difference between hydrogen bond acceptor and hydrogen will receive a better score than those with a small difference.
By default, this is disabled.

## operator=()

const HydrogenBond & BALL::HydrogenBond::operator= | ( | const HydrogenBond & | fhb | ) |
throw | ( | ) |  |  |

Assignment.

## operator==()

bool BALL::HydrogenBond::operator== | ( | const HydrogenBond & | fhb | ) | const
throw | ( | ) |  |  |

## setup()

virtual bool BALL::HydrogenBond::setup | ( |  | ) |

virtual

Setup method.

Reimplemented from BALL::ScoringComponent.

## setupLigand()

void BALL::HydrogenBond::setupLigand | ( |  | ) |

virtual

Function that needs to be called once for every new ligand.
The default implementation of this base class does nothing and should be overloaded by derived classes if necessary.

Reimplemented from BALL::ScoringComponent.

## update()

void BALL::HydrogenBond::update | ( | const vector< std::pair< Atom *, Atom * > > & | pair_vector | ) |

virtual

Update possible_hydrogen_bonds_ from the given AtomPairVector.
If intermolecular H-bonds are to be evaluated, the first atom of each pair must be a ligand atom and the second one a receptor atom. This is automatically done this way by ScoringFunction::createNonbondedPairVector().

Reimplemented from BALL::ScoringComponent.

## updateScore()

virtual double BALL::HydrogenBond::updateScore | ( |  | ) |

virtual

Calculate the score for this component (for all interactions that have been set by the last call of update()) and return the score.
The coefficient assigned by the user to this component should be taken into account for the calculation, so that the weighted score is returned.

Reimplemented from BALL::ScoringComponent.